Update Task Agent

Update Task Agent metadata, create a new revision, or activate an existing revision. Modifiable fields: - Root metadata: name and run visibility - Revision configuration: description, instruction, LLM models, execution mode, memory settings, task tools, MCP servers, integrations, and skills - Activation: `active_revision_id` Updating revision configuration creates a new inactive revision. Activate it with a separate request that only includes `active_revision_id`. To update task tools, pass a `task_tools` array. This performs a full replacement: - Omit the field to leave task tools unchanged - Pass an empty array to remove all task tools - Pass a new array to replace all task tools (array order = execution order)

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The organization ID
project_idstringRequiredformat: "uuid"
The project ID
task_agent_idstringRequiredformat: "uuid"
The task agent ID

Request

This endpoint expects an object.
namestring or nullOptional<=255 characters
descriptionstring or nullOptional
instructionstring or nullOptional
modeenum or nullOptional
Execution mode for TaskAgent.
llm_model_idstring or nullOptionalformat: "uuid"
fallback_llm_model_idstring or nullOptionalformat: "uuid"
task_toolslist of objects or nullOptional
Full replacement of task tools. Omit field to leave task tools unchanged. Pass empty list to remove all task tools.
mcp_serverslist of objects or nullOptional
Full replacement of MCP servers. Omit field to leave unchanged. Pass empty list to remove all.
integrationslist of objects or nullOptional
Full replacement of integrations. Omit field to leave unchanged. Pass empty list to remove all.
skillslist of objects or nullOptional
Full replacement of declarative skills. Omit field to leave unchanged. Pass empty list to remove all.
memory_strategyenum or nullOptional
memory_configmap from strings to any or nullOptional
max_turnsinteger or nullOptional1-500
task_agent_run_visibilityenum or nullOptional
Controls who can see all TaskAgent runs for this agent.
active_revision_idstring or nullOptionalformat: "uuid"
Existing TaskAgent revision to activate. Omit to leave the active revision unchanged.

Response

Task Agent updated
idstringformat: "uuid"
namestring
task_agent_run_visibilityenum
is_deletedboolean
createdstring
modifiedstring
active_revisionobject or null
Summary of the active TaskAgent revision.
revisionslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error